.discount-info-new {
    max-height: var(--discount-info-popup-height);
    max-width: var(--discount-info-popup-width);
    border-radius: 6px;
    display: flex;
    background-color: white;
}
.discount-info-new .discount-info-close {
    position: absolute;
    top: 24px;
    right: 24px;
    height: 32px;
    width: 32px;
    padding: 4px;
    border-radius: 30px;
    background: rgba(255, 255, 255, 0.79);
    backdrop-filter: blur(2px);
    cursor: pointer;
    z-index: 1;
}

.discount-info-new .discount-info-close:hover {
    background: rgba(232, 232, 232, 0.30);
    backdrop-filter: none;
}

.discount-info-new .discount-info-widget-new-column{
    width:50%;
}

.discount-info-new .discount-info-widget-text-column{
    padding: 32px 25px;
    justify-content: center;
}

.discount-info-new .discount-info-inner{
    height: 100%;
}

.discount-info-new .discount-info-picture {
    object-fit: cover;
    border-radius: 0 6px 6px 0;
    overflow: hidden;
}
.discount-info-new .discount-info-title {
    font-size: var(--discount-info-title-font-size);
    line-height: var(--discount-info-title-line-height);
    margin-bottom: 6px;
}
.discount-info-new .discount-info-subtitle {
    font-size: var(--discount-info-subtitle-font-size);
    line-height: var(--discount-info-subtitle-line-height);
    margin-bottom: 16px;
}
.discount-info-new .discount-info-widget-image-column img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.discount-info-new .discount-info-title,
.discount-info-new .discount-info-subtitle {
    color: var(--default-text-color);
}

.discount-info-new .discount-info-footer-text {
    color: var(--default-text-color);
}

.discount-info-new .discount-info-shopping-btn {
    height: 44px;
    width: 220px;
    padding: 9px;
    color: white;
    font-size: 16px;
    line-height: 26px;
    background-color: var(--default-text-color);
}
.discount-info-new .discount-info-footer {
    gap: 12px;
}
.discount-info-new .discount-info-footer-text {
    font-size: var(--discount-info-footer-text-font-size);
    line-height: var(--discount-info-footer-text-line-height);
}
.discount-info-new .discount-info-countdown {
    gap: 12px;
    width: 100%;
    margin-bottom: 24px;
}
.discount-info-new .discount-info-countdown .digit {
    width: calc((100% - 12px * 3) / 4);
    aspect-ratio: 1;
    padding: 14px 10px;
    background-color: var(--bg-main-color);
    color: var(--default-text-color);
    border-radius: 6px;
    flex: 0 0 auto;
}
.discount-info-new .discount-info-countdown .digit strong {
    font-size: 18px;
    line-height: 28px;
}
.discount-info-new .discount-info-countdown .digit span {
    font-size: 12px;
    line-height: 1;
}
.discount-info-new .discount-info-promocode {
    gap: 8px;
    color: var(--color-3);
    font-size: 14px;
    line-height: 24px;
}
.discount-info-new .discount-info-promocode-inner {
    gap: 24px;
    min-height: 40px;
    padding: 0 24px;
    color: var(--color-11);
    background-color: #FFFFFF4D;
    border: 1px dashed var(--color-14);
    border-radius: 2px;
    backdrop-filter: blur(2px);
}
.discount-info-new .discount-info-promocode-code {
    font-size: 18px;
    line-height: 28px;
}
.discount-info-new .discount-info-promocode-copy {
    padding: 6px 0;
    cursor: pointer;
}
.discount-info-new .discount-info-promocode-copy.active .default,
.discount-info-new .discount-info-promocode-copy:not(.active) .active {
    display: none;
}

@media (max-width: 767px) {
    :root {
        --discount-info-popup-height: 507px;
        --discount-info-popup-width: 343px;
        --discount-info-title-font-size: 24px;
        --discount-info-title-line-height: 25px;
        --discount-info-subtitle-font-size: 18px;
        --discount-info-subtitle-line-height: 25px;
        --discount-info-footer-text-font-size: 14px;
        --discount-info-footer-text-line-height: 24px;
        --discount-info-footer-bottom: 32px;
    }

    .discount-info-new {
        flex-direction: column-reverse;
    }
    .discount-info-new .discount-info-widget-new-column {
        width: 100%;
        height: 50%;
    }
    .discount-info-new .discount-info-widget-text-column {
        height: 60%;
    }
    .discount-info-new .discount-info-widget-image-column {
        height: 40%;
    }
    .discount-info-new .discount-info-footer {
        left: 20px;
        right: 20px;
    }
    .discount-info-new .discount-info-countdown {
        width: 100%;
    }
    .discount-info-new .discount-info-countdown .digit {
        min-width: auto;
        padding: 14px 5px;
    }
}
@media (min-width: 768px) {
    :root {
        --discount-info-popup-height: 460px;
        --discount-info-popup-width: 700px;
        --discount-info-title-font-size: 36px;
        --discount-info-title-line-height: 43px;
        --discount-info-subtitle-font-size: 26px;
        --discount-info-subtitle-line-height: 31px;
        --discount-info-footer-text-font-size: 16px;
        --discount-info-footer-text-line-height: 26px;
        --discount-info-footer-bottom: 32px;
    }
}
